import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-16 17:02
 */
export interface CrCouponConfigDetail {
    /**
    *
    * @type { string }
    */
    uuid?: string;
    /**
    *
    * @type { string }
    */
    cccId?: string;
    /**
    *
    * @type { string }
    */
    couponCfgId?: string;
    /**
    * 优惠券名称
    * @type { string }
    */
    couponName?: string;
    /**
    * 优惠券数目
    * @type { number }
    */
    couponCount?: number;
    /**
    * 折扣
    * @type { number }
    */
    discount?: number;
    /**
    * 最高折扣金额(分)
    * @type { number }
    */
    maxDiscountAmount?: number;
    /**
    * 有效时长（单位秒）
    * @type { number }
    */
    expire?: number;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { string }
    */
    creator?: string;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    updator?: string;
}
export declare class CrCouponConfigDetailMI {
    static get UUID(): FieldInfo;
    static get CCC_ID(): FieldInfo;
    static get COUPON_CFG_ID(): FieldInfo;
    static get COUPON_NAME(): FieldInfo;
    static get COUPON_COUNT(): FieldInfo;
    static get DISCOUNT(): FieldInfo;
    static get MAX_DISCOUNT_AMOUNT(): FieldInfo;
    static get EXPIRE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get CREATOR(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATOR(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-16 17:02
 */
export interface CrCouponConfig {
    /**
    *
    * @type { string }
    */
    uuid?: string;
    /**
    *
    * @type { boolean }
    */
    delFlag?: boolean;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { string }
    */
    creator?: string;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    updator?: string;
    /**
    * 广告id
    * @type { string }
    */
    adInfoId?: string;
    /**
    * 成交类型
    * @type { number }
    */
    actionType?: number;
}
export declare class CrCouponConfigMI {
    static get UUID(): FieldInfo;
    static get DEL_FLAG(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get CREATOR(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATOR(): FieldInfo;
    static get AD_INFO_ID(): FieldInfo;
    static get ACTION_TYPE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-16 17:02
 */
export interface CrSendCouponRecordLog {
    /**
    *
    * @type { string }
    */
    uuid?: string;
    /**
    *
    * @type { string }
    */
    cscrId?: string;
    /**
    *
    * @type { boolean }
    */
    sendResult?: boolean;
    /**
    *
    * @type { Date }
    */
    sendTime?: Date;
    /**
    *
    * @type { string }
    */
    sendErrorDesc?: string;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
}
export declare class CrSendCouponRecordLogMI {
    static get UUID(): FieldInfo;
    static get CSCR_ID(): FieldInfo;
    static get SEND_RESULT(): FieldInfo;
    static get SEND_TIME(): FieldInfo;
    static get SEND_ERROR_DESC(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-16 17:02
 */
export interface CrSendWxMsgRecordLog {
    /**
    *
    * @type { string }
    */
    uuid?: string;
    /**
    *
    * @type { string }
    */
    cswmrId?: string;
    /**
    *
    * @type { boolean }
    */
    sendResult?: boolean;
    /**
    *
    * @type { Date }
    */
    sendTime?: Date;
    /**
    *
    * @type { string }
    */
    sendErrorDesc?: string;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
}
export declare class CrSendWxMsgRecordLogMI {
    static get UUID(): FieldInfo;
    static get CSWMR_ID(): FieldInfo;
    static get SEND_RESULT(): FieldInfo;
    static get SEND_TIME(): FieldInfo;
    static get SEND_ERROR_DESC(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-16 17:02
 */
export interface CrSendCouponRecord {
    /**
    *
    * @type { string }
    */
    uuid?: string;
    /**
    *
    * @type { string }
    */
    userId?: string;
    /**
    *
    * @type { string }
    */
    cccId?: string;
    /**
    *
    * @type { string }
    */
    couponInfo?: string;
    /**
    *
    * @type { Date }
    */
    sendTime?: Date;
    /**
    *
    * @type { number }
    */
    sendStatus?: number;
    /**
    *
    * @type { number }
    */
    retryTimes?: number;
    /**
    *
    * @type { boolean }
    */
    delFlag?: boolean;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    adInfoId?: string;
    /**
    *
    * @type { number }
    */
    actionType?: number;
    /**
    *
    * @type { string }
    */
    adName?: string;
}
export declare class CrSendCouponRecordMI {
    static get UUID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get CCC_ID(): FieldInfo;
    static get COUPON_INFO(): FieldInfo;
    static get SEND_TIME(): FieldInfo;
    static get SEND_STATUS(): FieldInfo;
    static get RETRY_TIMES(): FieldInfo;
    static get DEL_FLAG(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get AD_INFO_ID(): FieldInfo;
    static get ACTION_TYPE(): FieldInfo;
    static get AD_NAME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-16 17:02
 */
export interface CrSendWxMsgRecord {
    /**
    *
    * @type { string }
    */
    uuid?: string;
    /**
    *
    * @type { string }
    */
    userId?: string;
    /**
    *
    * @type { string }
    */
    cccId?: string;
    /**
    *
    * @type { string }
    */
    couponInfo?: string;
    /**
    *
    * @type { Date }
    */
    sendTime?: Date;
    /**
    *
    * @type { number }
    */
    sendStatus?: number;
    /**
    *
    * @type { number }
    */
    retryTimes?: number;
    /**
    *
    * @type { boolean }
    */
    delFlag?: boolean;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    adInfoId?: string;
    /**
    *
    * @type { number }
    */
    actionType?: number;
    /**
    * 广告名称
    * @type { string }
    */
    adName?: string;
}
export declare class CrSendWxMsgRecordMI {
    static get UUID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get CCC_ID(): FieldInfo;
    static get COUPON_INFO(): FieldInfo;
    static get SEND_TIME(): FieldInfo;
    static get SEND_STATUS(): FieldInfo;
    static get RETRY_TIMES(): FieldInfo;
    static get DEL_FLAG(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get AD_INFO_ID(): FieldInfo;
    static get ACTION_TYPE(): FieldInfo;
    static get AD_NAME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-16 17:02
 */
export interface CrMsgLog {
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    * uuid
    * @type { string }
    */
    uuid?: string;
    /**
    * 消息内容
    * @type { string }
    */
    msgContent?: string;
    /**
    * 发送方
    * @type { string }
    */
    topic?: string;
}
export declare class CrMsgLogMI {
    static get CREATE_TIME(): FieldInfo;
    static get UUID(): FieldInfo;
    static get MSG_CONTENT(): FieldInfo;
    static get TOPIC(): FieldInfo;
}
